Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgrapht.graph
Class UnmodifiableDirectedGraph<V,E>

    java.lang.Object
      org.jgrapht.graph.AbstractGraph<V,E>
          org.jgrapht.graph.GraphDelegator<V,E>
              org.jgrapht.graph.UnmodifiableGraph<V,E>
                  org.jgrapht.graph.UnmodifiableDirectedGraph<V,E>

All Implemented Interfaces:
  java.io.Serializable, DirectedGraph<V,E>, Graph<V,E>

    public class UnmodifiableDirectedGraph<V,E>

extends UnmodifiableGraph<V,E>
implements DirectedGraph<V,E>

A directed graph that cannot be modified.

See Also:
  `UnmodifiableGraph`, Serialized Form

Constructor Summary
`UnmodifiableDirectedGraph(DirectedGraph<V,E> g)` Creates a new unmodifiable directed graph based on the specified backing graph.

Method Summary

Methods inherited from class org.jgrapht.graph.UnmodifiableGraph
`addEdge, addEdge, addVertex, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex`

Methods inherited from class org.jgrapht.graph.GraphDelegator
`containsEdge, containsVertex, degreeOf, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf, setEdgeWeight, toString, vertexSet`

Methods inherited from class org.jgrapht.graph.AbstractGraph
`assertVertexExist, containsEdge, removeAllEdges, toStringFromSets`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jgrapht.DirectedGraph
`incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf`

Methods inherited from interface org.jgrapht.Graph
`addEdge, addEdge, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

Constructor Detail

### UnmodifiableDirectedGraph

    public UnmodifiableDirectedGraph(DirectedGraph<V,E> g)

  Creates a new unmodifiable directed graph based on the specified backing graph.

  Parameters:
    `g` - the backing graph on which an unmodifiable graph is to be created.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD